
USE Master
GO


-- Create a login
CREATE LOGIN sysAdminWithoutData WITH PASSWORD = '@strongP@ssw0rd!573#'

-- Create a new server role and we will limit the access 
CREATE SERVER ROLE MyLimitedAdmin AUTHORIZATION sysAdminWithoutData

-- Add login Mary into the newly created server role
ALTER SERVER ROLE MyLimitedAdmin ADD MEMBER sysAdminWithoutData

-- Add CONTROL SERVER permission to the new server role to manage the database instance
GRANT CONTROL SERVER to MyLimitedAdmin

-- However, we deny the new server role to see any user data but can do other DBA tasks, such as backup the databases
DENY SELECT ALL USER SECURABLES to MyLimitedAdmin
GO


/*
sysAdminWithoutData

@strongP@ssw0rd!573#
*/

use AdventureWorks2014 
go

select * from Production.Product 
go
