
USE [AdventureWorks2014]
go

select count(*) from Sales.SalesOrderDetail
go

select * 
into Sales.SalesOrderDetailCCI
from Sales.SalesOrderDetail
go

CREATE CLUSTERED COLUMNSTORE INDEX idx_SalesOrderDetailCCI
ON Sales.SalesOrderDetailCCI; 
go


set statistics io on
set statistics time on

select sum (OrderQty * unitprice)  from Sales.SalesOrderDetail
select sum (OrderQty * unitprice)  from Sales.SalesOrderDetailCCI

set statistics time off
set statistics io off
go


drop table Sales.SalesOrderDetailCCI
go
